/* 照片相关 start *********************************************************************************************************/
/**
 * 添加照片
 */
var $zpdivDom;
function addzp(dom){
    $zpdivDom = $(dom);
    $("#addImgDiv .carimgfile").click();
}
/**
 * 上传照片
 * @param dom
 * @returns {boolean}
 */
var filesize = 0;// 处理的图片个数
function relatedImgSave(dom){
    filesize = 0;
    if(dom.files && dom.files.length > 0){
        var mgs = "";
        var bo = true;
        $.each(dom.files, function (i, fileObj) {
            if (fileObj.size > 10485760) { //限制最大5M
                bo = false;
                swal({title: "上传失败", text: "单张图片不能超过10M", type: "error", confirmButtonColor: "#1ab394"});
                return false;
            }
        });
        if(bo){
            Common.loading();//加载层
            $.each(dom.files, function (i, fileObj) {
                var imageForm = new FormData();
                imageForm.append("img", fileObj);
                $.ajax({
                    url: "common/upload",
                    type: 'post',
                    //async: false,// 同步请求 所有请求完成后取消加载层
                    cache: false,//上传文件不需要缓存
                    data: imageForm,
                    dataType: "json",
                    processData: false,  //告诉jQuery不要去处理发送的数据, 因为data值是FormData对象，不需要对数据做处理
                    contentType: false,  //告诉jQuery不要去设置Content-Type请求头, 设置为false，不设置contentType值，因为是由<form>表单构造的FormData对象，且已经声明了属性enctype="multipart/form-data"，所以这里设置为false
                    success: function (data) {
                        filesize++;
                        if (data.success) {
                            // 保存
                        var isMore=$zpdivDom.attr("data-type");
                        //添加多张图片
                         if(isMore=="more"){
                             $("#moreAdd").remove();
                             var html= $("#otherHtml").html();
                              var   otherHtml =html+ '  <div class="fileinput-preview fileinput-exists thumbnail">\n' +
                              ' <button type="button" title="删除" onclick="javascrpit: $(this).parent().remove();" class="btn btn-default fileinput-exists"><i class="fa fa-trash"></i></button>'+
                                 '<img src="' + data.data + '" data-name="qtzp" class="simg qtzp marginbottom5" style="display: block;" onclick="showBigImg(this)">\n' +
                                 '<span href="javascript: void(0);" class="btn btn-primary">其他照片</span>\n' +
                                 '</div>';
                             otherHtml=otherHtml+'<div class="fileinput-preview fileinput-exists thumbnail"  id="moreAdd">\n' +
                                 '                                <img src="" data-name="" class="simg qtzp  marginbottom5"  style="display: none;" onclick="showBigImg(this)">\n' +
                                 '                                <span href="javascript: void(0);" class="btn btn-primary" data-type="more" onclick="addzp(this)"><i class="fa fa-plus"></i>添加其他照片 </span>\n' +
                                 '                            </div>';
                             $("#otherHtml").html(otherHtml);
                         }else
                         {
                             $zpdivDom.prev().attr("src", data.data).show();
                         }
                        } else {
                            if(mgs != ""){
                                mgs += ",";
                            }
                            mgs += "第"+(i+1)+"张";

                        }
                    }
                });
            });
            uploadimgSleep(dom.files.length);//关闭上传图片加载层
            if(mgs != ""){
                Common.alert("上传失败", mgs + " 上传失败", 2);
            }
        }
        $(dom).val("");// 清除file文件
    }
}

/**
 * 关闭上传图片加载层
 * @param size
 */
function uploadimgSleep(size) {
    // console.log("filesize: "+filesize+", size: "+size)
    if(filesize == size){
        Common.closeload();//去除加载层
    }else{
        setTimeout("uploadimgSleep("+size+")", 100);// 延迟100毫秒
    }
}

/**
 * 查看大图
 */
function showBigImg(dom) {
    if($(".nowshowimg").hasClass("nowshowimg")){
        $(".nowshowimg").removeClass("nowshowimg");
    }
    $("#showImg").find("img").attr("src", $(dom).attr("src"));
    $(dom).addClass("nowshowimg");
    $("#showImg").removeClass("displaynone");
    //显示下一张/上一张按钮
    // prenextShow(dom);
}

/**
 * 查看大图
 */
function showBigImgbysrc(src) {
    if($(".nowshowimg").hasClass("nowshowimg")){
        $(".nowshowimg").removeClass("nowshowimg");
    }
    $("#showImg").find("img").attr("src", src);
    $("#showImg").removeClass("displaynone");
    //显示下一张/上一张按钮
    // prenextShow(dom);
}
/**
 * 图片切换按钮控制
 */
function prenextShow(dom) {
    //显示下一张/上一张按钮
    $("#showImg .ileft, #showImg .iright").hide();
    if($(dom).parent().parent().prev().length > 0){
        $("#showImg .ileft").show();
    }
    if($(dom).parent().parent().next().length > 0){
        $("#showImg .iright").show();
    }
}
/**
 * 查看上一张
 */
function showPrevImg() {
    var $imgObj = $(".nowshowimg").parent().parent().prev();
    if($imgObj.length > 0){
        $("#showImg").find("img").attr("src", $imgObj.find("img").attr("src"));
        $(".nowshowimg").removeClass("nowshowimg");
        $imgObj.find("img").addClass("nowshowimg");
        //显示下一张/上一张按钮
        prenextShow($imgObj.find("img")[0]);
    }
}
/**
 * 查看下一张
 */
function showNextImg() {
    var $imgObj = $(".nowshowimg").parent().parent().next();
    if($imgObj.length > 0){
        $("#showImg").find("img").attr("src", $imgObj.find("img").attr("src"));
        $(".nowshowimg").removeClass("nowshowimg");
        $imgObj.find("img").addClass("nowshowimg");
        //显示下一张/上一张按钮
        prenextShow($imgObj.find("img")[0]);
    }
}
/**
 * 关闭大图
 */
function closeBigImg(dom) {
    $("#showImg").find("img").attr("src", "");
    $("#showImg").addClass("displaynone");
    if($(".nowshowimg").hasClass("nowshowimg")){
        $(".nowshowimg").removeClass("nowshowimg");
    }
}
/**
 * 照片前移
 * @param dom
 */
function imgPrev(dom){
    var resultDom = $(dom).parent().parent();
    if(resultDom.prev().html()){
        resultDom.prev().before(resultDom.prop('outerHTML'));
        resultDom.remove();
    }
}
/**
 * 照片后移
 * @param dom
 */
function imgNext(dom){
    var resultDom = $(dom).parent().parent();
    if(resultDom.next().html()){
        resultDom.next().after(resultDom.prop('outerHTML'));
        resultDom.remove();
    }
}
/* 照片相关 end *********************************************************************************************************/